Package org.opentcs.data

# Enum TCSObjectEvent.Type

java.lang.Object
java.lang.Enum<TCSObjectEvent.Type>
org.opentcs.data.TCSObjectEvent.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TCSObjectEvent.Type>`, `java.lang.constant.Constable`

Enclosing class:
  TCSObjectEvent

    public static enum TCSObjectEvent.Type
    extends java.lang.Enum<TCSObjectEvent.Type>

Indicates the type of an event, which can be helpful with filtering events.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `OBJECT_CREATED` | Indicates that the referenced object has been newly created.
  `OBJECT_MODIFIED` | Indicates that the referenced object has been modified.
  `OBJECT_REMOVED` | Indicates that the referenced object is no longer a valid kernel object.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static TCSObjectEvent.Type` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static TCSObjectEvent.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OBJECT_CREATED

    public static final TCSObjectEvent.Type OBJECT_CREATED
    Indicates that the referenced object has been newly created.

  - ### OBJECT_MODIFIED

    public static final TCSObjectEvent.Type OBJECT_MODIFIED
    Indicates that the referenced object has been modified.

  - ### OBJECT_REMOVED

    public static final TCSObjectEvent.Type OBJECT_REMOVED
    Indicates that the referenced object is no longer a valid kernel object.

- ## Method Details

  - ### values

    public static TCSObjectEvent.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static TCSObjectEvent.Type valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null